Pulseaudio stops working after a few days.

Bug #317997 reported by rew on 2009-01-16
2
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Daniel T Chen

Bug Description

Binary package hint: pulseaudio

I leave my computer on. Sometimes when I come back sound has stopped working. restarting pulseaudio seems to fix it.

Of course it's difficult to reproduce.

Description: Ubuntu 8.10
ii pulseaudio 0.9.10-2ubuntu PulseAudio sound server

Daniel T Chen (crimsun) wrote :

It would be really helpful if you can grab the output from /var/log/messages pertaining to when the pa daemon died.

Changed in pulseaudio:
status: New → Incomplete
rew (r-e-wolff) wrote :

/var/log/messages contains "MARK" every 20 minutes, and "restarted" every day. Nothing else.

/var/log/daemon.log contains:
- ntp messages
- hald mounting my digital camera media
- networkmanager messages (there is something with my eth0, it shows "down" in the toolbar, but works just fine! It refers to a launchpad bugpage that doesn't exist.)

This leaves me with:

Jan 4 12:08:43 assurancetourix avahi-daemon[5231]: Registering new address record for 172.19.3.3 on eth0.IPv4.
Jan 5 23:54:42 assurancetourix avahi-daemon[5231]: Withdrawing address record for 172.19.3.3 on eth0.
Jan 6 21:28:59 assurancetourix avahi-daemon[5231]: Registering new address record for 172.19.3.12 on eth0.IPv4.
Jan 11 14:22:38 assurancetourix hald[5673]: forcibly attempting to lazy unmount /dev/sdb1 as enclosing drive was disconnected
Jan 11 14:22:38 assurancetourix hald[5673]: forcibly attempting to lazy unmount /dev/sdc1 as enclosing drive was disconnected
Jan 14 20:09:35 assurancetourix mountd[5527]: mount request from unknown host 192.168.235.102 for /home (/home)
Jan 14 20:10:17 assurancetourix mountd[5527]: Caught signal 15, un-registering and exiting.
Jan 14 20:10:21 assurancetourix mountd[13728]: authenticated mount request from 192.168.235.102:979 for /home (/home)
Jan 15 23:59:56 assurancetourix acpid: exiting
Jan 15 23:59:56 assurancetourix atieventsd[5289]: Closing acpid connection
Jan 15 23:59:58 assurancetourix acpid: client connected from 5289[0:0]
Jan 15 23:59:58 assurancetourix atieventsd[5289]: acpid connection established
Jan 15 23:59:59 assurancetourix acpid: client connected from 5942[0:0]
Jan 16 00:00:01 assurancetourix acpid: client connected from 5776[111:122]
Jan 16 11:29:48 assurancetourix atieventsd[5289]: Closing acpid connection
Jan 16 11:29:48 assurancetourix acpid: exiting
Jan 16 11:29:50 assurancetourix acpid: client connected from 5289[0:0]
Jan 16 11:29:50 assurancetourix atieventsd[5289]: acpid connection established
Jan 16 11:29:50 assurancetourix acpid: client connected from 5942[0:0]
Jan 16 11:29:53 assurancetourix acpid: client connected from 5776[111:122]

since last boot (jan 1 or 2).

First time this happened, restarting pulseaudio seemed to be the thing that helped me getting audio back. Later, I couldn't get pulseaudio to resume working again, so currently I have xmms using the hardware, firefox stalls when playing video-with-sound, and downloading the video and then playing with mplayer works fine....

rew (r-e-wolff) wrote :

Hey guys, progress....

Instead of logging out and logging back in, I restarted pulsaudio manually. When I didn't close the window before it happened again, I found:

Pulseaudio: CPU time exeeded.

My guess is that pulseaudio sets a CPU time limit for itself, and after several days or weeks, it exceeds the limit!

Daniel T Chen (crimsun) wrote :

This symptom is very likely due to the sound driver returning bogus data and PulseAudio not handling it correctly. It is being fixed in Jaunty.

Changed in pulseaudio:
status: Incomplete → Confirmed
Daniel T Chen (crimsun) on 2009-03-04
Changed in pulseaudio:
assignee: nobody → crimsun
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers